﻿namespace Models.Game;

public class Map
{
    /// <summary>
    /// It is the list of cells on the map.
    /// </summary>
    public List<Cell> Boards { get; set; }
    
    /// <summary>
    /// It is the backgrond image of the map
    /// </summary>
    public string Background { get; private set; }

    /// <summary>
    /// It is the grid of the possible operation in the game
    /// </summary>
    public List<OperationCell> OperationGrid { get; private set; }

    /// <summary>
    /// It is a list of a list containing user's zones in the current game
    /// </summary>
    public List<List<Cell>> RopePaths { get; private set; }

    public List<List<Cell>> Zones { get; private set; }

    /// <summary>
    /// Initializes a new instance of the Map class.
    /// </summary>
    /// <param name="background">The background of the map.</param>
    public Map(string background)
    {
        Boards = new List<Cell>();
        Background = background;
        OperationGrid = new List<OperationCell>();
        //RopePaths = new List<List<Cell>>();
        Zones = new List<List<Cell>>();
    }
}
